using System;
using System.Collections.Generic;
using System.Text;
using Edu.Common.Plugin;

namespace Edu.Common.Enum.Mall
{
    /// <summary>
    /// 订单类型枚举
    /// </summary>
    public enum OrderTypeEnum
    {
        /// <summary>
        /// 商城
        /// </summary>
        [EnumField("商城")]
        Mall = 1,
        /// <summary>
        /// 砍价
        /// </summary>
        [EnumField("砍价")]
        CutPrice = 2,
        /// <summary>
        /// 预约
        /// </summary>
        [EnumField("预约")]
        Reservation = 3,
        /// <summary>
        /// 拼团
        /// </summary>
        [EnumField("拼团")]
        GroupBooking = 4,
        /// <summary>
        /// 刮刮卡
        /// </summary>
        [EnumField("刮刮卡")]
        ScratchCard = 5,
        /// <summary>
        /// 幸运抽奖
        /// </summary>
        [EnumField("幸运抽奖")]
        LuckyDraw = 6,
        /// <summary>
        /// 积分商城
        /// </summary>
        [EnumField("积分商城")]
        Integral = 7,
        /// <summary>
        /// 当面付
        /// </summary>
        [EnumField("当面付")]
        InPersonToPay = 8,
        /// <summary>
        /// 超级会员卡
        /// </summary>
        [EnumField("超级会员卡")]
        SuperCard = 9,
        /// <summary>
        /// 商品预售
        /// </summary>
        [EnumField("商品预售")]
        GoodsToBooking = 10,
        /// <summary>
        /// 司导商品
        /// </summary>
        [EnumField("司导商品")]
        SDGoods = 11,
        /// <summary>
        /// 网教课程
        /// </summary>
        [EnumField("网教课程")]
        KCGoods = 12,

        /// <summary>
        /// 线下服务
        /// </summary>
        [EnumField("线下服务")]
        OfflineService = 13,
    }
}
